(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('apollo-link'), require('graphql')) :
	typeof define === 'function' && define.amd ? define(['exports', 'apollo-link', 'graphql'], factory) :
	(factory((global.apolloLinkLocal = {}),global.apolloLink.core,global.graphql.core));
}(this, (function (exports,apolloLink,graphql) { 'use strict';

var classCallCheck = function (instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
};

var createClass = function () {
  function defineProperties(target, props) {
    for (var i = 0; i < props.length; i++) {
      var descriptor = props[i];
      descriptor.enumerable = descriptor.enumerable || false;
      descriptor.configurable = true;
      if ("value" in descriptor) descriptor.writable = true;
      Object.defineProperty(target, descriptor.key, descriptor);
    }
  }

  return function (Constructor, protoProps, staticProps) {
    if (protoProps) defineProperties(Constructor.prototype, protoProps);
    if (staticProps) defineProperties(Constructor, staticProps);
    return Constructor;
  };
}();









var inherits = function (subClass, superClass) {
  if (typeof superClass !== "function" && superClass !== null) {
    throw new TypeError("Super expression must either be null or a function, not " + typeof superClass);
  }

  subClass.prototype = Object.create(superClass && superClass.prototype, {
    constructor: {
      value: subClass,
      enumerable: false,
      writable: true,
      configurable: true
    }
  });
  if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass;
};











var possibleConstructorReturn = function (self, call) {
  if (!self) {
    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
  }

  return call && (typeof call === "object" || typeof call === "function") ? call : self;
};

var LocalLink = function (_ApolloLink) {
  inherits(LocalLink, _ApolloLink);

  function LocalLink() {
    var _ref = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {},
        schema = _ref.schema;

    classCallCheck(this, LocalLink);

    var _this = possibleConstructorReturn(this, (LocalLink.__proto__ || Object.getPrototypeOf(LocalLink)).call(this));

    if (!schema) {
      throw new Error("Local Link expected an exectable schema but received null.");
    }
    _this.executableSchema = schema;
    return _this;
  }

  createClass(LocalLink, [{
    key: "request",
    value: function request(operation) {
      var _this2 = this;

      var query = operation.query,
          variables = operation.variables,
          operationName = operation.operationName;

      return new apolloLink.Observable(function (obs) {
        graphql.execute(_this2.executableSchema, query, null, operation.getContext(), variables, operationName).then(function (result) {
          obs.next(result);
          obs.complete();
        }).catch(obs.error);
      });
    }
  }]);
  return LocalLink;
}(apolloLink.ApolloLink);

exports.LocalLink = LocalLink;

Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=bundle.umd.js.map
